Package org.apache.cayenne.template.parser

## Class SimpleNode

- java.lang.Object
- - org.apache.cayenne.template.parser.SimpleNode

- All Implemented Interfaces:
    `Node`
  Direct Known Subclasses:
    `ASTBlock`, `ASTExpression`, `ASTIfElse`, `IdentifierNode`, `ScalarNode`

      public abstract class SimpleNode
      extends Object
      implements Node

  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Node[]` | `children` |
    `protected int` | `id` |
    `protected Node` | `parent` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleNode​(int i)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(String prefix)` | Override this method if you want to customize how the node dumps out its children.
    `void` | `jjtAddChild​(Node n, int i)` | This method tells the node to add its argument to the node's list of children.
    `Node` | `jjtGetChild​(int i)` | This method returns a child node.
    `int` | `jjtGetNumChildren()` | Return the number of children the node has.
    `Node` | `jjtGetParent()` |
    `void` | `jjtSetParent​(Node n)` | This pair of methods are used to inform the node of its parent.
    `String` | `toString()` |
    `String` | `toString​(String prefix)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.template.parser.Node

      `evaluate`

- - ### Field Detail

    - #### parent

          protected Node parent

    - #### children

          protected Node[] children

    - #### id

          protected int id

  - ### Constructor Detail

    - #### SimpleNode

          public SimpleNode​(int i)

  - ### Method Detail

    - #### jjtSetParent

          public void jjtSetParent​(Node n)

      Description copied from interface: `Node`
      This pair of methods are used to inform the node of its parent.
      Specified by:
        `jjtSetParent` in interface `Node`

    - #### jjtGetParent

          public Node jjtGetParent()

      Specified by:
        `jjtGetParent` in interface `Node`

    - #### jjtAddChild

          public void jjtAddChild​(Node n,
                                  int i)

      Description copied from interface: `Node`
      This method tells the node to add its argument to the node's list of children.
      Specified by:
        `jjtAddChild` in interface `Node`

    - #### jjtGetChild

          public Node jjtGetChild​(int i)

      Description copied from interface: `Node`
      This method returns a child node. The children are numbered from zero, left to right.
      Specified by:
        `jjtGetChild` in interface `Node`

    - #### jjtGetNumChildren

          public int jjtGetNumChildren()

      Description copied from interface: `Node`
      Return the number of children the node has.
      Specified by:
        `jjtGetNumChildren` in interface `Node`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString​(String prefix)

    - #### dump

          public void dump​(String prefix)

      Override this method if you want to customize how the node dumps out its children.